GCJ confusion.

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]


Unfortunately, I can't get that far.
 
gcc-core-4.6.2.tar
gcc-java-4.6.2.tar

 
are the files I have.  Now, Ive been told that I have to compile gcc-core-4.6.2.tar and
have that running successfully first.  This isn't working, due to an error message
which I learn from the email list is due to an error I must be making, which I am not,
and is therefore impossible.  Unfortunately, I can't figure out how to get past this.

I have turned to the Java Native Compiler.  I have tried the Eclipse GCJ, which while functional,
compiles far to much into my executable file for my needs. I have tried gcc-full-4.4.0-mingw32-bin-2.tar,
which while compiling my source code, doesn't seem to support java 1.5 related syntax and library needs,
so my programs are killed and quit early.
 
So is it possible for someone to just give me the file or a link to the latest built GCJ, so I can run it
in Windows/mingw32/mingw64 ?

And if they have had success in building that file themselves, to send along some basics as to what they have done with
that file?


On Thu, Mar 15, 2012 at 5:21 PM, Me Myself and I
<stargate7thsymbol@xxxxxxxxxx> wrote:
>
> I'm pretty well giving up on compiling GCJ under mingw32, or Windows 7 for that matter.
 
It shouldn't be that hard.  You just have to replace the boehm-gc with
an upstream version.  The one in the GCC tree doesn't work (for
mingw-w64), and it's a giant massive uphill (losing) battle to get
everyone on the same page to update it.
 
I admit I haven't tried it recently, but I did build it once before. 		 	   		  



[Linux C Programming]     [Linux Kernel]     [eCos]     [Fedora Development]     [Fedora Announce]     [Autoconf]     [The DWARVES Debugging Tools]     [Yosemite Campsites]     [Yosemite News]     [Linux GCC]

Add to Google